## haskell-bitwise 1.0.0.1

=== debian/changelog ===
haskell-bitwise (1.0.0.1-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 10:40:47 +0300

haskell-bitwise (1.0.0.1-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Sep 2023 16:26:04 +0300

haskell-bitwise (1.0.0.1-2) unstable; urgency=medium

  * Post-NEW upload

 -- Scott Talbert <swt@techie.net>  Sat, 30 Jul 2022 10:06:07 -0400

haskell-bitwise (1.0.0.1-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Wed, 27 Jul 2022 19:50:14 -0400
